<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iChangePropertyRewardFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iChangePropertyRewardFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iChangePropertyRewardFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the reward that changes the value of a property (either on a property from pcproperties or a generic property on any property class).  
 <a href="structiChangePropertyRewardFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="rewards_8h_source.html">tools/rewards.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iChangePropertyRewardFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiChangePropertyRewardFactory.png" usemap="#iChangePropertyRewardFactory_map" alt=""/>
  <map id="iChangePropertyRewardFactory_map" name="iChangePropertyRewardFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,195,24"/>
</map>
 </div></div>

<p><a href="structiChangePropertyRewardFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiChangePropertyRewardFactory.html#ad0af2f7dbb931b6a4c90cfa23e6aacdb">SetBoolParameter</a> (const char *pbool)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the boolean value.  <a href="#ad0af2f7dbb931b6a4c90cfa23e6aacdb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiChangePropertyRewardFactory.html#a91261470fdc5490950b0f0cf7df68c7e">SetClassParameter</a> (const char *ent_class)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the entity class containing the property class on which this reward will work.  <a href="#a91261470fdc5490950b0f0cf7df68c7e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiChangePropertyRewardFactory.html#a311fc5cf96bde8d9908419ff3aad8b42">SetDiffParameter</a> (const char *pdiff)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the diff.  <a href="#a311fc5cf96bde8d9908419ff3aad8b42"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiChangePropertyRewardFactory.html#a9c2b4ae89795b26cfe3b6939616ed804">SetEntityParameter</a> (const char *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the entity containing the pcproperties property class on which this reward will work.  <a href="#a9c2b4ae89795b26cfe3b6939616ed804"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiChangePropertyRewardFactory.html#a5c132fecb4e63a98408f878091a6bd62">SetFloatParameter</a> (const char *pfloat)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the float value.  <a href="#a5c132fecb4e63a98408f878091a6bd62"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiChangePropertyRewardFactory.html#aade7e2a90e81307fc43ef111bf8f1a7d">SetLongParameter</a> (const char *plong)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the long value.  <a href="#aade7e2a90e81307fc43ef111bf8f1a7d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiChangePropertyRewardFactory.html#a5c84d1554485605563e830b411b9f082">SetPCParameter</a> (const char *pc, const char *tag)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the property class and tag.  <a href="#a5c84d1554485605563e830b411b9f082"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiChangePropertyRewardFactory.html#a06c6e0f4a8bccf699b33f882ad61975f">SetPropertyParameter</a> (const char *prop)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the property.  <a href="#a06c6e0f4a8bccf699b33f882ad61975f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiChangePropertyRewardFactory.html#a90eab7bcf29919dfb36fd91050d49c64">SetStringParameter</a> (const char *pstring)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the string value.  <a href="#a90eab7bcf29919dfb36fd91050d49c64"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiChangePropertyRewardFactory.html#ac7679adc047b9c58b40825cb17898490">SetToggle</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the toggle.  <a href="#ac7679adc047b9c58b40825cb17898490"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the reward that changes the value of a property (either on a property from pcproperties or a generic property on any property class). </p>
<p>You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this reward type is 'cel.rewards.changeproperty'.</p>
<p>In XML, factories recognize the following attributes on the 'reward' node:</p>
<ul>
<li><em>entity</em>: the name of the entity containing the pcproperties property class.</li>
<li><em>class</em>: the name of an entity class. If this is used instead of the entity parameter, the reward will apply to all entities in the given entity class.</li>
<li><em>pc</em>: the name of the property class. If this is not given then pcproperties is used.</li>
<li><em>tag</em>: used together with 'pc' to specify an optional tag.</li>
<li><em>property</em>: the name of the property.</li>
<li><em>string</em>: the new string value of the property.</li>
<li><em>long</em>: the new long value of the property.</li>
<li><em>float</em>: the new float value of the property.</li>
<li><em>bool</em>: the new bool value of the property.</li>
<li><em>diff</em>: this long or float value will be added to the property.</li>
<li><em>toggle</em>: toggle the boolean or long value. </li>
</ul>

<p>Definition at line <a class="el" href="rewards_8h_source.html#l00192">192</a> of file <a class="el" href="rewards_8h_source.html">rewards.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad0af2f7dbb931b6a4c90cfa23e6aacdb"></a><!-- doxytag: member="iChangePropertyRewardFactory::SetBoolParameter" ref="ad0af2f7dbb931b6a4c90cfa23e6aacdb" args="(const char *pbool)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiChangePropertyRewardFactory.html#ad0af2f7dbb931b6a4c90cfa23e6aacdb">iChangePropertyRewardFactory::SetBoolParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>pbool</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the boolean value. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pbool</td><td>is the bool or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a91261470fdc5490950b0f0cf7df68c7e"></a><!-- doxytag: member="iChangePropertyRewardFactory::SetClassParameter" ref="a91261470fdc5490950b0f0cf7df68c7e" args="(const char *ent_class)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiChangePropertyRewardFactory.html#a91261470fdc5490950b0f0cf7df68c7e">iChangePropertyRewardFactory::SetClassParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>ent_class</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the entity class containing the property class on which this reward will work. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ent_class</td><td>is the name of the class or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a311fc5cf96bde8d9908419ff3aad8b42"></a><!-- doxytag: member="iChangePropertyRewardFactory::SetDiffParameter" ref="a311fc5cf96bde8d9908419ff3aad8b42" args="(const char *pdiff)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiChangePropertyRewardFactory.html#a311fc5cf96bde8d9908419ff3aad8b42">iChangePropertyRewardFactory::SetDiffParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>pdiff</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the diff. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pdiff</td><td>is the long/float or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9c2b4ae89795b26cfe3b6939616ed804"></a><!-- doxytag: member="iChangePropertyRewardFactory::SetEntityParameter" ref="a9c2b4ae89795b26cfe3b6939616ed804" args="(const char *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiChangePropertyRewardFactory.html#a9c2b4ae89795b26cfe3b6939616ed804">iChangePropertyRewardFactory::SetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the entity containing the pcproperties property class on which this reward will work. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity</td><td>is the name of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5c132fecb4e63a98408f878091a6bd62"></a><!-- doxytag: member="iChangePropertyRewardFactory::SetFloatParameter" ref="a5c132fecb4e63a98408f878091a6bd62" args="(const char *pfloat)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiChangePropertyRewardFactory.html#a5c132fecb4e63a98408f878091a6bd62">iChangePropertyRewardFactory::SetFloatParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>pfloat</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the float value. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pfloat</td><td>is the float or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aade7e2a90e81307fc43ef111bf8f1a7d"></a><!-- doxytag: member="iChangePropertyRewardFactory::SetLongParameter" ref="aade7e2a90e81307fc43ef111bf8f1a7d" args="(const char *plong)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiChangePropertyRewardFactory.html#aade7e2a90e81307fc43ef111bf8f1a7d">iChangePropertyRewardFactory::SetLongParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>plong</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the long value. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">plong</td><td>is the long or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5c84d1554485605563e830b411b9f082"></a><!-- doxytag: member="iChangePropertyRewardFactory::SetPCParameter" ref="a5c84d1554485605563e830b411b9f082" args="(const char *pc, const char *tag)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiChangePropertyRewardFactory.html#a5c84d1554485605563e830b411b9f082">iChangePropertyRewardFactory::SetPCParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>pc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the property class and tag. </p>
<p>If this is not given (or property class name is 0) then pcproperties will be used. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pc</td><td>is the name of the property class or a parameter (starts with '$'). </td></tr>
    <tr><td class="paramname">tag</td><td>is the name of the tag or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a06c6e0f4a8bccf699b33f882ad61975f"></a><!-- doxytag: member="iChangePropertyRewardFactory::SetPropertyParameter" ref="a06c6e0f4a8bccf699b33f882ad61975f" args="(const char *prop)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiChangePropertyRewardFactory.html#a06c6e0f4a8bccf699b33f882ad61975f">iChangePropertyRewardFactory::SetPropertyParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>prop</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the property. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">prop</td><td>is the name of the property or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a90eab7bcf29919dfb36fd91050d49c64"></a><!-- doxytag: member="iChangePropertyRewardFactory::SetStringParameter" ref="a90eab7bcf29919dfb36fd91050d49c64" args="(const char *pstring)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiChangePropertyRewardFactory.html#a90eab7bcf29919dfb36fd91050d49c64">iChangePropertyRewardFactory::SetStringParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>pstring</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the string value. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pstring</td><td>is the string or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac7679adc047b9c58b40825cb17898490"></a><!-- doxytag: member="iChangePropertyRewardFactory::SetToggle" ref="ac7679adc047b9c58b40825cb17898490" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiChangePropertyRewardFactory.html#ac7679adc047b9c58b40825cb17898490">iChangePropertyRewardFactory::SetToggle</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the toggle. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="rewards_8h_source.html">rewards.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
